/*
    Robot Interface Remote Client
    (C) 2006 Jason Hunt
    nulluser@gmail.com

    File: timer.h
*/


#include <windows.h>

/* Returns system time in seconds */
double get_time( void )
{
    static LARGE_INTEGER freq;
    bool init = 0;

    if (!init)
    {
        QueryPerformanceFrequency(&freq);
        init = 1;
    }

    LARGE_INTEGER c;

    QueryPerformanceCounter(&c);

    return(c.QuadPart / (double)freq.QuadPart);
}
/* End of get_time() */




